## org.apache.mahout.vectorizer.collocations.llr
Class LLRReducer.ConcreteLLCallback

    java.lang.Object
      org.apache.mahout.vectorizer.collocations.llr.LLRReducer.ConcreteLLCallback

All Implemented Interfaces:
  LLRReducer.LLCallback

Enclosing class:
  LLRReducer

    public static final class LLRReducer.ConcreteLLCallback

extends Object
implements LLRReducer.LLCallback

concrete implementation delegates to LogLikelihood class

Constructor Summary
`LLRReducer.ConcreteLLCallback()`

Method Summary
`double` `logLikelihoodRatio(long k11, long k12, long k21, long k22)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LLRReducer.ConcreteLLCallback

    public LLRReducer.ConcreteLLCallback()

Method Detail

### logLikelihoodRatio

    public double logLikelihoodRatio(long k11,
                                     long k12,
                                     long k21,
                                     long k22)

  Specified by:
    `logLikelihoodRatio` in interface `LLRReducer.LLCallback`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.